Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 271147 - dev-ruby/activesupport-* bundle some of its dependencies
Summary: dev-ruby/activesupport-* bundle some of its dependencies
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: bundled-libs
  Show dependency tree
 
Reported: 2009-05-24 22:41 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2011-12-26 11:35 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log it says but a bit truncated (dev-ruby:activesupport-2.3.5:20100118-003905.log,1.49 KB, text/plain)
2010-01-21 23:18 UTC, David J Cozatt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-05-24 22:41:48 UTC
While I was working on the overlay for the new ruby-ng eclass, I noticed one fun thing:

flame@yamato activesupport-2.3.2 % ls -l lib/active_support/vendor           
totale 0
drwxr-xr-x 3 flame flame 100 2009-03-16 04:08 builder-2.1.2
drwxr-xr-x 4 flame flame 160 2009-03-16 04:08 i18n-0.1.3
drwxr-xr-x 2 flame flame  60 2009-03-16 04:08 memcache-client-1.6.5
drwxr-xr-x 3 flame flame  80 2009-03-16 04:08 tzinfo-0.3.12

this is probably why the ebuild has no dependencies as it is.. I'll see to get rid of them in the new ebuild, but at least we can track the issue here...
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-05-24 22:44:01 UTC
For the record:

/usr/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/vendor:
builder-2.1.2  memcache-client-1.5.0  tzinfo-0.3.11  xml-simple-1.0.11

/usr/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/vendor:
builder-2.1.2  i18n-0.0.1  memcache-client-1.5.1  tzinfo-0.3.12  xml-simple-1.0.11
Comment 2 Hans de Graaff gentoo-dev 2009-12-20 10:20:47 UTC
dev-ruby/activesupport-2.3.5-r1 now used the unbundled versions of builder and tzinfo.

That leaves:
i18n-0.1.3/  memcache-client-1.7.4/
Comment 3 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-01-13 13:24:27 UTC
-r2 dropped i18n, and memcache-client is the only one left for now.
Comment 4 David J Cozatt 2010-01-21 23:18:24 UTC
Created attachment 217119 [details]
build.log it says but a bit truncated

will attach emerge info and the environment log if needed and or open a new bug upon request
Comment 5 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-01-21 23:23:20 UTC
(In reply to comment #4)
> Created an attachment (id=217119) [details]
> build.log it says but a bit truncated
> 
> will attach emerge info and the environment log if needed and or open a new bug
> upon request
> 

You installed a non-gentoo version of rubygems. Do not report a new bug.
Comment 6 David J Cozatt 2010-01-22 05:55:09 UTC
no fella.I did a gem install of activesupport after the above failure. on stable not amd64. but I will recreate it and post a new bug. without the gem install.
Comment 7 Hans de Graaff gentoo-dev 2010-12-31 13:38:59 UTC
activesupport 3.0.3 no longer has any vendored code, so I'm inclined to close this bug. Objections?